<?php
/**
 * Рейтинг 5 звезд.
 * 
 * Серверная часть, принимает json запрос из js скрипта, обрабатывает его и отправляет ответ обратно.
 *
 * @author veselka.ua
 * @version 0.12
 *
 * @package veselka_ua/themes
 */

/**
 * Проверка легитимности запуска скрипта.
 */
require_once '__check.php';

/**
 * Не хешированные ключи JS.
 */
require_once '__proof.php';

/**
 * Сохранение рейтинга в базу данных.
 */
// Проверка хеша
if( $_POST['proof'] == md5($proof['data_save']) ) {
	try{

		/**
		 * Инициализация Вордпресс.
		 */
		require_once '__wp.php';

		/**
		 * Экземпляр объекта обрабатывающего POST данные в зависимоти от ситуации.
		 */
		$star_rating_set = new RatingStarSet();

		/**
		 * Результат работы.
		 */
		echo json_encode($star_rating_set->get_result());
		//echo json_encode($star_rating_set->get_logs());

	}
	catch(Exception $e) {
		echo json_encode($e->getMessage());
	}
} else {
	throw new Exception('No data to save!');
}

?>